<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'premium_slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'luzuk-premium' ),
				'off' => __( 'Yes', 'luzuk-premium' )
			),
		)
	)
);

$wp_customize->add_setting('luzuk_premium_slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'luzuk_premium_slider_section_lbl',
		array(
			'settings'		=> 'luzuk_premium_slider_section_lbl',
			'section'		=> 'premium_slider_section',
			'label'			=> __( 'Note:', 'luzuk-premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 745X680', 'luzuk-premium' ),
		)
	)
);

backgroundManager($wp_customize, 'main-slide', 'premium_slider_section', $color='#1d62b8', get_template_directory_uri().'/images/slider-bg.png', 'color');

// $wp_customize->add_setting(
//     'about_image5',
//     array(
//         'sanitize_callback' => 'esc_url_raw'
//     )
// );
// $wp_customize->add_control(
//     new WP_Customize_Image_Control(
//         $wp_customize,
//         'about_image5',
//         array(
//             'section' => 'about_section',
//             'settings' => 'about_image5',
//             'description' => __('Recommended Image Size: 340X340px', 'luzuk-premium')
//         )
//     )
// );


lzCustomLable($wp_customize, 'slider_color', 'premium_slider_section', 'Section Color');

addColorPalatOption($wp_customize, 'slider_SliderimgbrdClr', 'premium_slider_section', 'Slider Image BG Color', '#1d62b8');

addColorPalatOption($wp_customize, 'slider_SimgbrdClr', 'premium_slider_section', 'Slider Grid Line Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SimgimgbrdClr', 'premium_slider_section', 'Slider Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SltitleColor', 'premium_slider_section', 'Slider Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'premium_slider_section', 'Slider Text Color', '#fff');

lzCustomLable($wp_customize, 'slider_fristbtn', 'premium_slider_section', 'Slider Button Color');

addColorPalatOption($wp_customize, 'slider_btntxt', 'premium_slider_section', 'Button Text And Border Color', '#1d62b8');

addColorPalatOption($wp_customize, 'slider_btntxthv', 'premium_slider_section', 'Button Text And Border Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxtbg', 'premium_slider_section', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxtbghv', 'premium_slider_section', 'Button BG Hover Color', '#68a9fd');

lzCustomLable($wp_customize, 'slider_fristbtn', 'premium_slider_section', 'Slider Thumbnail Color');

addColorPalatOption($wp_customize, 'slider_thumbingbrdClr', 'premium_slider_section', 'Thumbnail Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_thumslidiconClr', 'premium_slider_section', 'Slider Arrow  Color', '#ED4C14');

addColorPalatOption($wp_customize, 'slider_thumslidiconbgClr', 'premium_slider_section', 'Slider Arrow BG  Color', '#fff');